Bug 826467 - 3.1 - [vdsm][setupNetworks] Failed to remove bond & attach network to NIC
3.1 - [vdsm][setupNetworks] Failed to remove bond & attach network to NIC
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:27 EDT by Mike Kolesnik
Modified: 2013-02-28 23:54 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:58:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kolesnik 2012-05-30 05:27:10 EDT
Description of problem:
Tried to remove a bond over eth1 & eth3, and attach a network to eth3:
MainProcess|Thread-108::DEBUG::2012-05-30 09:46:42,245::configNetwork::998::setupNetworks::(setupNetworks) Setting up network according to configuration: networks:{'test': {'nic': 'eth3', 'bridged': 'true'}}, bondings:{'bond4': {'remove': 'true'}}, options:{'connectivityCheck': 'true', 'connectivityTimeout': '60000'}



This failed due to:

Thread-108::ERROR::2012-05-30 09:46:42,867::API::1158::vds::(setupNetworks) nic eth3 already enslaved to bond4
Traceback (most recent call last):
  File "/usr/share/vdsm/API.py", line 1156, in setupNetworks
    supervdsm.getProxy().setupNetworks(networks, bondings, options)
  File "/usr/share/vdsm/supervdsm.py", line 67, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 65, in <lambda>
    **kwargs)
  File "<string>", line 2, in setupNetworks
  File "/usr/lib64/python2.7/multiprocessing/managers.py", line 773, in _callmethod
    raise convert_to_error(kind, result)
ConfigNetworkError: (24, 'nic eth3 already enslaved to bond4')
Thread-108::DEBUG::2012-05-30 09:46:42,868::BindingXMLRPC::855::vds::(wrapper) return setupNetworks with {'status': {'message': 'nic eth3 already enslaved to bond4', 'code':
 24}}



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create bond over 2 nics, with a network attached to the bond.
2. SetpuNetworks - remove the bond and add a network over one of the released NICs.
3.
  
Actual results:
Failure,


Expected results:
Remove the bond, and attach the network to the given nic.


Additional info:
Comment 3 Igor Lvovsky 2012-06-13 09:19:47 EDT
http://gerrit.ovirt.org/#/c/5323/
Comment 4 Meni Yakove 2012-07-23 07:51:19 EDT
Verified on vdsm-4.9.6-23.0.el6_3.x86_64.
Comment 7 errata-xmlrpc 2012-12-04 13:58:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.